Scala Compiler2.12.13 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package plugins
  Definition Classes
    nsc
- MissingPluginException
- OutputFileWriter
- Plugin
- PluginComponent
- PluginDescription
- PluginLoadException
- Plugins

t

scala.tools.nsc.plugins

# Plugins 

###

#### trait Plugins extends AnyRef

Support for run-time loading of compiler plugins.

Self Type
  Global
Source
  Plugins.scala
Version

  1.1, 2009/1/2 Updated 2009/1/2 by Anders Bach Nielsen: Added features to implement SIP 00002

Linear Supertypes
AnyRef, Any
Known Subclasses
Global, compiler, DocParser, ScaladocGlobal, ScaladocGlobalTrait, Global, ReplGlobal, ReflectGlobal
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Plugins
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Plugins to any2stringadd[Plugins] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Plugins, B)
   Implicit
     This member is added by an implicit conversion from Plugins to ArrowAssoc[Plugins] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
8.  def computePluginPhases(): Unit

   Extract all phases supplied by plugins and add them to the phasesSet.

   Extract all phases supplied by plugins and add them to the phasesSet.

   Attributes
     protected
   See also

     phasesSet

9.  def ensuring(cond: (Plugins) ⇒ Boolean, msg: ⇒ Any): Plugins
   Implicit
     This member is added by an implicit conversion from Plugins to Ensuring[Plugins] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (Plugins) ⇒ Boolean): Plugins
    Implicit
      This member is added by an implicit conversion from Plugins to Ensuring[Plugins] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: ⇒ Any): Plugins
    Implicit
      This member is added by an implicit conversion from Plugins to Ensuring[Plugins] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): Plugins
    Implicit
      This member is added by an implicit conversion from Plugins to Ensuring[Plugins] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
16.  def findPluginClassLoader(classpath: Seq[Path]): ClassLoader

    Locate or create the classloader to load a compiler plugin with `classpath`.

    Locate or create the classloader to load a compiler plugin with `classpath`.

    Subclasses may override to customise the behaviour. The returned classloader must return the first from plugin descriptor from `classpath` when `getResource("scalac-plugin.xml")` is called.

    Attributes
      protected
17.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Plugins to StringFormat[Plugins] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
18.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  def loadPlugins(): List[Plugin]

    Load all available plugins.

    Load all available plugins. Skips plugins that either have the same name as another one, or which define a phase name that another one does.

    Attributes
      protected
22.  def loadRoughPluginsList(): List[Plugin]

    Load a rough list of the plugins.

    Load a rough list of the plugins. For speed, it does not instantiate a compiler run. Therefore it cannot test for same-named phases or other problems that are filtered from the final list of plugins.

    Attributes
      protected
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  def pluginDescriptions: String

    A description of all the plugins that are loaded

27.  def pluginOptionsHelp: String

    Summary of the options for all loaded plugins

28.  lazy val plugins: List[Plugin]
29.  lazy val roughPluginsList: List[Plugin]
    Attributes
      protected
30.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
31.  def toString(): String
    Definition Classes
      AnyRef → Any
32.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
33.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
34.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
35.  def →[B](y: B): (Plugins, B)
    Implicit
      This member is added by an implicit conversion from Plugins to ArrowAssoc[Plugins] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Plugins to any2stringadd[Plugins]

### Inherited by implicit conversion StringFormat from Plugins to StringFormat[Plugins]

### Inherited by implicit conversion Ensuring from Plugins to Ensuring[Plugins]

### Inherited by implicit conversion ArrowAssoc from Plugins to ArrowAssoc[Plugins]

### Ungrouped